import { Args, ID, Mutation, Query, Resolver } from '@nestjs/graphql';
import { NewItemInput } from './dto/new-item.input';
import { ItemModel } from './items.model';
import { ItemsService } from './items.service';

@Resolver((of) => ItemModel)
export class ItemsResolver {
  constructor(private itemsService: ItemsService) {}

  @Query((returns) => ItemModel, { nullable: true })
  async item(@Args('id', { type: () => ID }) id: string) {
    return this.itemsService.getItem(id);
  }

  @Mutation((returns) => ItemModel)
  async createItem(@Args('itemData') itemData: NewItemInput) {
    return this.itemsService.createItem(itemData);
  }
}
